BLKZONE(8)

NUME
blkzone - rulează comanda de zonă pe un dispozitiv

REZUMAT

blkzone comanda [opțiuni] dispozitiv

DESCRIERE

blkzone este utilizat pentru a rula comanda zone pe dispozitive care acceptă comenzile Zoned Block Commands (ZBC) sau Zoned-device ATA Commands (ZAC). Zonele pe care se operează pot fi specificate cu ajutorul opțiunilor „--offset”, „--count” și „--length”.

Argumentul dispozitiv este numele de rută al dispozitivului de bloc.

COMENZI

  report

Comanda blkzone report este utilizată pentru a raporta informații despre zona dispozitivului.

În mod implicit, comanda va raporta toate zonele de la începutul dispozitivului de bloc. Opțiunile pot fi utilizate pentru a modifica acest comportament, schimbând zona de pornire sau dimensiunea de raportare, după cum se explică mai jos.

Rezultatul raportului:
start | Sectorul de start al zonei
len | Lungimea zonei în număr de sectoare
cap | Capacitatea zonei în număr de sectoare
wptr | Poziția indicatorului de scriere în zonă
reset | Se recomandă reinițierea indicatorului de scriere
non-seq | Resurse de scriere non-secvențială active
cond | Starea zonei
type | Tipul de zonă

Stările zonei:
cl | Închisă
nw | Fără indicator de scriere
em | Goală
fu | Completă
oe | Deschisă în mod explicit
oi | Deschisă în mod implicit
ol | Offline (de neatins, inaccesibilă)
ro | Numai-pentru-citire
x? | Condiții rezervate (nu trebuie să fie raportate)

  capacity

Comanda blkzone capacity este utilizată pentru a raporta informații despre capacitatea dispozitivului.

În mod implicit, comanda va raporta suma, în număr de sectoare, a tuturor capacităților de zonă de pe dispozitiv. Opțiunile pot fi utilizate pentru a modifica acest comportament, schimbând zona de pornire sau dimensiunea de raportare, după cum se explică mai jos.

  reset

Comanda blkzone reset este utilizată pentru a reiniția una sau mai multe zone. Spre deosebire de sg_reset_wp(8), această comandă operează din stratul de bloc și poate reiniția o serie de zone.

  open

Comanda blkzone open este utilizată pentru a deschide în mod explicit una sau mai multe zone. Spre deosebire de sg_zone(8), acțiune de deschidere, această comandă operează din stratul de bloc și poate deschide o serie de zone.

  close

Comanda blkzone close este utilizată pentru a închide una sau mai multe zone. Spre deosebire de sg_zone(8), acțiune de închidere, această comandă operează din stratul de bloc și poate închide o serie de zone.

  finish

Comanda blkzone finish este utilizată pentru a finaliza (trecerea la starea completă) una sau mai multe zone. Spre deosebire de acțiunea de finalizare, a sg_zone(8), această comandă operează din stratul de bloc și poate finaliza o serie de zone.

În mod implicit, comenzile reset, open, close și finish vor opera din zona din sectorul 0 al dispozitivului și vor opera pe toate zonele. Se pot utiliza opțiuni pentru a modifica acest comportament, după cum se explică mai jos.

OPȚIUNI

Argumentele opționale poziție și lungime pot fi urmate de sufixele multiplicative KiB (=1024), MiB (=1024*1024) și așa mai departe pentru GiB, TiB, PiB, EiB, ZiB și YiB („iB” este opțional, de exemplu, „K” are aceeași semnificație ca și „KiB”) sau sufixele KB (=1000), MB (=1000*1000) și așa mai departe pentru GB, TB, PB, EB, ZB și YB. În plus, prefixul 0x poate fi utilizat pentru a specifica poziția și _lungimea în hexazecimal.

-o, --offset sector
    Zona de pornire specificată ca o poziție a sectorului. Poziția furnizată în unități de sector (512 octeți) trebuie să corespundă cu începutul unei zone. Valoarea implicită este zero.

-l, --length sectoare
    Numărul maxim de sectoare pe care trebuie să opereze comanda. Valoarea implicită este numărul de sectoare rămase după poziție. Această opțiune nu poate fi utilizată împreună cu opțiunea --count.

-c, --count cantitatea
    Numărul maxim de zone pe care trebuie să opereze comanda. Valoarea implicită este numărul de zone începând de la poziția. Această opțiune nu poate fi utilizată împreună cu opțiunea --length.

-f, --force
    Execută comenzi pentru a schimba starea zonei pe dispozitivele de bloc utilizate de sistem.

-v, --verbose
    Afișează numărul de zone returnate în raport sau intervalul de sectoare reinițiate.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

AUTORI

CONSULTAȚI ȘI

sg_rep_zones(8

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda blkzone face parte din pachetul util-linux care poate fi descărcat de la